require "active_support/core_ext"
require "aemet/crawler"
require "aemet/city"
require "aemet/version"

module Aemet
  def self.search(city)
    Crawler.new(city)
  end

  def self.city(aemet_id)
    City.new(aemet_id)
  end

  def self.weather(aemet_id)
    city(aemet_id).weather
  end
end
