namespace :aemet do
  def spanish_sites
    FlyingSite.where(:country_code => 'ES')
  end

  task :crawl => :environment do
    Aemet::Crawler.crawl spanish_sites.where(:aemet_xml_url => nil, :aemet_page_url => nil)
  end

  task :import_xml => :environment do
    require 'open-uri'
    spanish_sites.find_each do |fs|
      print "."

      xml_io = open fs.aemet_xml_url

      xml = Iconv.conv('utf8', 'ISO-8859-15', xml_io.read)

      fs.aemet_data.create! :xml => xml
    end
  end

end
